Variant.VariantArg (JNA API)

com.sun.jna.platform.win32

## Class Variant.VariantArg

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Variant.VariantArg

- Direct Known Subclasses:
    Variant.VariantArg.ByReference
  Enclosing interface:
    Variant

      @Structure.FieldOrder(value="variantArg")
      public static class Variant.VariantArg
      extends Structure

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Variant.VariantArg.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Variant.VARIANT[]` | `variantArg`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariantArg()`
    `VariantArg(Pointer pointer)` construct VariantArg cast onto pre-allocated memory
    `VariantArg(Variant.VARIANT[] variantArg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setArraySize(int size)`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### variantArg

          public Variant.VARIANT[] variantArg

  - ### Constructor Detail

    - #### VariantArg

          public VariantArg()

    - #### VariantArg

          public VariantArg(Pointer pointer)

      construct VariantArg cast onto pre-allocated memory
      Parameters:
        `pointer` - base address

    - #### VariantArg

          public VariantArg(Variant.VARIANT[] variantArg)

  - ### Method Detail

    - #### setArraySize

          public void setArraySize(int size)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.